ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension(3)

NAME
ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoSourceConfigurationOptionsExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Rotate

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension
   Rotate =>  { # ONVIF::PTZ::Types::RotateOptions
     Mode => $some_value, # RotateMode
     DegreeList =>  { # ONVIF::PTZ::Types::IntList
       Items =>  $some_value, # int
     },
     Extension =>  { # ONVIF::PTZ::Types::RotateOptionsExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL